### Index

- bootstrap (src/.../main.ts)
- expandEnvVariables (src/.../env.helper.ts)
- naiveRound (src/.../util.helper.ts)
- processHttpError (src/.../util.helper.ts)
- processMicroserviceHttpError (src/.../util.helper.ts)
- toOrder (src/.../page-order.enum.ts)
- validate (src/.../env.validation.ts)
- validateDTO (src/.../util.helper.ts)
- validateOutputDTO (src/.../util.helper.ts)

### src/main.ts

###

bootstrap
`bootstrap()`
Main entry point of the application

### src/core/helpers/env.helper.ts

###

expandEnvVariables
`expandEnvVariables()`
Expands the environmanet variables Returns : `void`

### src/core/helpers/util.helper.ts

###

naiveRound
`naiveRound(num: number, decimalPlaces: number)`

Takes a number and rounds to a percission number

Parameters :

Name | Type | Optional | Default value | Description
num | `number` | No |  | number to be rounded
decimalPlaces | `number` | No | `2` | number of decimal places

processHttpError
`processHttpError(error: any, logger: any)`

processes http error that was throwed by service

Parameters :

Name | Type | Optional | Description
error | `any` | No | error (exception or string)
logger | `any` | No | logger service

processMicroserviceHttpError
`processMicroserviceHttpError(error: any, logger: any)`

processes http error that was throwed by service

Parameters :

Name | Type | Optional | Description
error | `any` | No | error (exception or string)
logger | `any` | No | logger service

validateDTO
`validateDTO(dto: any, httpResponseGenerator: any)`

validates dto and returns bad request if it is wrong

Parameters :

Name | Type | Optional | Description
dto | `any` | No | dto
httpResponseGenerator | `any` | No | http response service

Returns : `Promise<any>`

validateOutputDTO
`validateOutputDTO(dto: any, logger: any)`

validates output dto and throws an error if it is wrong

Parameters :

Name | Type | Optional | Description
dto | `any` | No | dto
logger | `any` | No | logger service

Returns : `Promise<any>`

### src/core/domain/enums/page-order.enum.ts

###

toOrder
`toOrder(str: string)`

Converts string value to appropriate enum-member

Parameters :

Name | Type | Optional | Description
str | `string` | No | String to be converted

Returns : `Order`

Appropriate enum-member

### src/infrastructure/config/env.validation.ts

###

validate
`validate(config: Record)`

validates the config

Parameters :

Name | Type | Optional | Description
config | `Record` | No | congig

# results matching ""

# No results matching ""